<?php
/*-----------------------------------------------------------------------------------*/
/*  Do not remove these lines.
/*-----------------------------------------------------------------------------------*/
load_theme_textdomain( 'czsablony', get_template_directory().'/lang' );
load_theme_textdomain( 'redux-framework', get_template_directory().'/lang' );
if ( !class_exists( 'ReduxFramework' ) && file_exists( dirname( __FILE__ ) . '/options/framework.php' ) ) {
    require_once( dirname( __FILE__ ) . '/options/framework.php' );
}
if ( !isset( $redux_demo ) && file_exists( dirname( __FILE__ ) . '/theme-options.php' ) ) {
    require_once( dirname( __FILE__ ) . '/theme-options.php' );
}

if ( ! function_exists( 'czs_setup' ) ) :
function czs_setup() {

if ( ! isset( $content_width ) ) $content_width = 960;

/*-----------------------------------------------------------------------------------*/
/*  Load Translation 
/*-----------------------------------------------------------------------------------*/
add_theme_support('automatic-feed-links');

/*-----------------------------------------------------------------------------------*/
/*  Post Thumbnail Support
/*-----------------------------------------------------------------------------------*/
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 315, 161, true );
add_image_size( 'post', 315, 161, true ); //Latest posts thumb
add_image_size( 'bigthumb', 687, 386, true ); //Latest posts thumb
add_image_size( 'related', 323, 165, true ); //Latest posts thumb
add_image_size( 'widgetthumb', 60, 57, true ); //widget

/*-----------------------------------------------------------------------------------*/
/*  Custom Menu Support
/*-----------------------------------------------------------------------------------*/
add_theme_support( 'menus' );
if ( function_exists( 'register_nav_menus' ) ) {
    register_nav_menus(
        array(
          'primary-menu' => 'Primary Menu',
		  'footer-menu' => 'Footer Menu'
        )
    );
}

}
endif;
add_action( 'after_setup_theme', 'czs_setup' );


/*-----------------------------------------------------------------------------------*/
/*	Javascsript
/*-----------------------------------------------------------------------------------*/
function czs_add_scripts() {
	$czs_options = get_option('$czs_options');
	global $data; //get theme options
	
	wp_enqueue_script('jquery');

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
	
	// Site wide js
	wp_enqueue_script('modernizr', get_stylesheet_directory_uri() . '/js/modernizr.min.js');
	wp_enqueue_script('customscript', get_stylesheet_directory_uri() . '/js/customscript.js');
	wp_enqueue_script('tooltips', get_stylesheet_directory_uri() . '/js/jquery.smallipop.js');
	wp_enqueue_script('elastic', get_stylesheet_directory_uri() . '/js/jquery.eislideshow.js');
  wp_enqueue_script('elastice', get_stylesheet_directory_uri() . '/js/jquery.easing.1.3.js');
}
add_action('wp_enqueue_scripts','czs_add_scripts');


/*-----------------------------------------------------------------------------------*/
/* Enqueue CSS
/*-----------------------------------------------------------------------------------*/
function czs_enqueue_css() {

    global $czs_options;
	
	wp_enqueue_style('stylesheet', get_stylesheet_directory_uri() . '/style.css', 'style');
	wp_enqueue_style('tooltipser', get_stylesheet_directory_uri() . '/css/jquery.smallipop.css', 'style');
	wp_enqueue_style('icons', get_stylesheet_directory_uri() . '/css/eleganticon_style.css', 'style');
	//Responsive
    if($czs_options['czs_responsive'] == '1') {
        wp_enqueue_style('responsive', get_stylesheet_directory_uri() . '/css/responsive.css', 'style');
    }
	$czs_sclayout = '';
  if($czs_options['czs_layout'] == '1') {
		$czs_sclayout = '
			.article { float: right; margin-right: 3px; margin-left: 0;}
			.sidebar.c-4-12 { float: left; padding-right: 2.4%; }';
	}
  if(isset($czs_options['czs_custom_css']) != '') {
      $czscustom_css = ($czs_options['czs_custom_css']); 
      } else {
      $czscustom_css = '';
      }
	$custom_css = "                 
	  a, #header h1, #logo a, .footer-navigation a {color: #0558ff;}
	  .footer-navigation a {color: #0558ff !important;}
	  .read-more :hover   { background-color: #00c9e8;}
	  a:hover {color: #00c9e8;}
	  a:active {color: #3526a8;}
		body  {background: #ffffff !important;}
		.share-info { color: {$czs_options['czs_body_typography']['color']};}
		input#author:focus, input#email:focus, input#url:focus, #commentform textarea:focus { border-color:#0558ff;}
		.login-button a, .button, .ei-title h3, .menu .current-menu-item > a:after, .read-more a, .home-cat{ background: #0558ff;}
		.current-menu-ancestor > a.sf-with-ul, .current-menu-ancestor, .menu > li:hover > a{ color:#0558ff; }	
		.menu .current-menu-item > a,.nav-previous a, .nav-next a, .header-button, .sub-menu, #commentform input#submit, .tagcloud a, #tabber ul.tabs li a.selected, .featured-cat, .et-subscribe input[type='submit'], .pagination a { background-color:#0558ff; color: #fff; }          
    #navigation {  background: -webkit-linear-gradient(#2893ff, #284cff); background: -o-linear-gradient(#2893ff, #284cff); background: -moz-linear-gradient(#2893ff, #284cff); background: linear-gradient(#2893ff, #284cff); filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#2893ff', endColorstr='#284cff',GradientType=0 ); }
    .no-results, #tabber, .copyrights, .postsby, .postauthor, #respond h4, #commentform, .total-comments, .commentmetadata, .post.excerpt, .single_post, .widget, .ss-full-width, #content_box {  background-color: #ffffff;}
    .main-container  {background-color: #e5e5e5;}
    .widget, .home-content, .post.excerpt, #navigation, .featured-thumbnail, #navigation ul li { border-color: #a3a3a3;}
    .home-cat .meta-desc, .read-more a {color: #ffffff !important}
    {$czs_sclayout}
		{$czscustom_css}
			";
	wp_add_inline_style( 'stylesheet', $custom_css );
}
add_action('wp_enqueue_scripts', 'czs_enqueue_css', 99);


/*-----------------------------------------------------------------------------------*/
/*  Enable Widgetized sidebar
/*-----------------------------------------------------------------------------------*/
function czs_widgets_init() {
	register_sidebar(array(
		'name'=>'Sidebar',
		'description'   => __( 'Appears on posts and pages', 'czsablony' ),
		'before_widget' => '<div id="%1$s" class="widget widget-sidebar %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
		$sidebars = array(1, 2, 3);
	foreach($sidebars as $number) {
	register_sidebar(array(
		'name' => 'Footer ' . $number,
		'id' => 'footer-' . $number,
		'before_widget' => '<div id="%1$s" class="widget widget-sidebar %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget-home"><h3 class="widget-title">',
		'after_title' => '</h3></div>',
	));
	}
}
add_action( 'widgets_init', 'czs_widgets_init' );
/*-----------------------------------------------------------------------------------*/
/* Footer widgets
/*-----------------------------------------------------------------------------------*/
function widgetized_footer() {
?>
	<div class="f-widget f-widget-1">
		<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 1') ) : ?>
		<?php endif; ?>
	</div>
	<div class="f-widget f-widget-2">
		<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 2') ) : ?>
		<?php endif; ?>
	</div>
	<div class="f-widget last">
		<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 3') ) : ?>
		<?php endif; ?>
	</div>
<?php
} 

/*-----------------------------------------------------------------------------------*/
/*  Load Widgets & Shortcodes
/*-----------------------------------------------------------------------------------*/
// Add the 125x125 Ad Block Custom Widget
include("functions/widget-ad125.php");

// Add the 300x250 Ad Block Custom Widget
include("functions/widget-ad300.php");

// Add the Tabbed Custom Widget
include("functions/widget-tabs.php");

// Add Facebook Like box Widget
include("functions/widget-fblikebox.php");

// Add Google Plus box Widget
include("functions/widget-googleplus.php");

// Add Subscribe Widget
include("functions/widget-subscribe.php");

// Add Social Profile Widget
include("functions/widget-social.php");

// Theme Functions
include("functions/theme-actions.php");

// Theme Comments with Avatar
include("functions/widget-comments-avatar.php");

/* Theme Metaboxes */
require_once("functions/theme-metaboxes.php");

/* Metabox components */
require_once("meta-box/meta-box.php");


/*-----------------------------------------------------------------------------------*/
/*	Filters customize wp_title
/*-----------------------------------------------------------------------------------*/
function czs_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'czsablony' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'czs_wp_title', 10, 2 );

/*-----------------------------------------------------------------------------------*/
/*  Filters that allow shortcodes in Text Widgets
/*-----------------------------------------------------------------------------------*/
add_filter('widget_text', 'shortcode_unautop');
add_filter('widget_text', 'do_shortcode');
add_filter('the_content_rss', 'do_shortcode');

/*-----------------------------------------------------------------------------------*/
/*	Custom Gravatar Support
/*-----------------------------------------------------------------------------------*/
if( !function_exists( 'czs_custom_gravatar' ) ) {
    function czs_custom_gravatar( $avatar_defaults ) {
        $czs_avatar = get_template_directory_uri() . '/images/gravatar.png';
        $avatar_defaults[$czs_avatar] = 'Custom Gravatar (/images/gravatar.png)';
        return $avatar_defaults;
    }
    add_filter( 'avatar_defaults', 'czs_custom_gravatar' );
}

/*-----------------------------------------------------------------------------------*/
/*	Custom Comments template
/*-----------------------------------------------------------------------------------*/
function czs_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; 
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
		<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
		<p><?php _e( 'Pingback:', 'czsablony' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'czsablony' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
		// Proceed with normal comments.
		global $post;
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>" style="position:relative;">
			<div class="comment-author vcard">
				<?php echo get_avatar( $comment->comment_author_email, 70 ); ?>
				<div class="comment-metadata">
				<?php printf(__('<span class="fn">%s</span>', 'czsablony'), get_comment_author_link()) ?>
				<div class="time"><?php comment_date(get_option( 'date_format' )); ?></div>
				<span class="comment-meta">
					<?php edit_comment_link(__('(Edit)', 'czsablony'),'  ','') ?>
				</span>
				<span class="reply">
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
				</span>
				</div>
			</div>
			<?php if ($comment->comment_approved == '0') : ?>
				<em><?php _e('Your comment is awaiting moderation.', 'czsablony') ?></em>
				<br />
			<?php endif; ?>
			<div class="commentmetadata">
				<?php comment_text() ?>
			</div>
		</div>
	
<?php 	break;
	endswitch; } 
/*-----------------------------------------------------------------------------------*/
/*	Short Post Title
/*-----------------------------------------------------------------------------------*/
function ShortenText($text) { // Function name ShortenText
  global $czs_options;
  $chars_limit = $czs_options['czs_home_title']; // Character length
  $chars_text = strlen($text);
  $text = $text." ";
  $text = substr($text,0,$chars_limit);
  $text = substr($text,0,strrpos($text,' '));

  if ($chars_text > $chars_limit)
     { $text = $text."..."; } // Ellipsis
     return $text;
}
/*-----------------------------------------------------------------------------------*/
/*	Homepage Comments template
/*-----------------------------------------------------------------------------------*/
function rw_archive_comment_callback( $comment, $args, $depth )
{
    ?>
    
      <div class="square-title"><?php echo (__('Lastest Comment','czsablony')); ?> </div>
        <span class="comment-avatar-home"> <?php echo get_avatar( $comment, 40 ); ?> </span> <span class="comment-author-home"> <?php printf( '<cite class="url fn n">%s</cite>', get_comment_author_link() ); ?> </span>
            <p><?php echo strip_tags( get_comment_excerpt() ); ?></p>
       
    <?php
}
/*-----------------------------------------------------------------------------------*/
/* Most commented posts 
/*-----------------------------------------------------------------------------------*/
function most_commented($comment_posts = 5 , $avatar_size = 60){
$comments = get_comments('status=approve&number='.$comment_posts);
foreach ($comments as $comment) { ?>
<li class="recent-comments">	
		<div class="featured-thumbnail">
			<?php echo get_avatar( $comment, $avatar_size ); ?>
		</div>
	 <div class="info">
		  <?php echo strip_tags($comment->comment_author); ?>: <a href="<?php echo get_permalink($comment->comment_post_ID ); ?>#comment-<?php echo $comment->comment_ID; ?>"><?php echo wp_html_excerpt( $comment->comment_content, 60 ); ?>... </a>
	 </div>

</li>
<?php } 
}
/*-----------------------------------------------------------------------------------*/
/*	Short Post Title
/*-----------------------------------------------------------------------------------*/
function czs_short_title($after = '', $length){
	$mytitle = get_the_title();
	if ( strlen($mytitle) > $length ){
		$mytitle = substr($mytitle,0,$length);
		echo $mytitle . $after; 
	}
	else { echo $mytitle; }
}

/*-----------------------------------------------------------------------------------*/
/*  excerpt
/*-----------------------------------------------------------------------------------*/
function czs_excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt);
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
/*-----------------------------------------------------------------------------------*/
/*	Post Views
/*-----------------------------------------------------------------------------------*/
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return __( '0 Views', 'czsablony' );
    }
    return $count.__( ' Views', 'czsablony' );
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
// Remove issues with prefetching adding extra views
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
/*-----------------------------------------------------------------------------------*/
/* nofollow to next/previous links
/*-----------------------------------------------------------------------------------*/
function czs_pagination_add_nofollow($content) {
    return 'rel="nofollow"';
}
add_filter('next_posts_link_attributes', 'czs_pagination_add_nofollow' );
add_filter('previous_posts_link_attributes', 'czs_pagination_add_nofollow' );

/*-----------------------------------------------------------------------------------*/
/* Nofollow to category links
/*-----------------------------------------------------------------------------------*/
add_filter( 'the_category', 'czs_add_nofollow_cat' ); 
function czs_add_nofollow_cat( $text ) {
$text = str_replace('rel="category tag"', 'rel="nofollow"', $text); return $text; }


/*-----------------------------------------------------------------------------------*/ 
/* nofollow to reply links
/*-----------------------------------------------------------------------------------*/
function czs_add_nofollow_to_reply_link( $link ) {
return str_replace( '")\'>', '")\' rel=\'nofollow\'>', $link );
}
add_filter( 'comment_reply_link', 'czs_add_nofollow_to_reply_link' );
    

/*-----------------------------------------------------------------------------------*/
/* adds a class to the post if there is a thumbnail
/*-----------------------------------------------------------------------------------*/
function has_thumb_class($classes) {
    global $post;
    if( has_post_thumbnail($post->ID) ) { $classes[] = 'has_thumb'; }
        return $classes;
}
add_filter('post_class', 'has_thumb_class');

/*-----------------------------------------------------------------------------------*/ 
/* Pagination
/*-----------------------------------------------------------------------------------*/
function czs_pagination($pages = '', $range = 3) { 
    $showitems = ($range * 3)+1;
    $first = __('&laquo; First', 'czsablony');
    $previous = __('&lsaquo; Previous', 'czsablony');
    $next = __('Next &rsaquo;', 'czsablony');
    $last = __('Last &raquo;', 'czsablony');
    global $paged; if(empty($paged)) $paged = 1;
    if($pages == '') {
        global $wp_query; $pages = $wp_query->max_num_pages; 
        if(!$pages){ $pages = 1; } 
    }
    if(1 != $pages) { 
        echo "<div class='pagination'><ul>";
        if($paged > 2 && $paged > $range+1 && $showitems < $pages) 
            echo "<li><a rel='nofollow' href='".get_pagenum_link(1)."'>$first</a></li>";
        if($paged > 1 && $showitems < $pages) 
            echo "<li><a rel='nofollow' href='".get_pagenum_link($paged - 1)."' class='inactive'>$previous</a></li>";
        for ($i=1; $i <= $pages; $i++){ 
            if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) { 
                echo ($paged == $i)? "<li class='current'><span class='currenttext'>".$i."</span></li>":"<li><a rel='nofollow' href='".get_pagenum_link($i)."' class='inactive'>".$i."</a></li>";
            } 
        } 
        if ($paged < $pages && $showitems < $pages) 
            echo "<li><a rel='nofollow' href='".get_pagenum_link($paged + 1)."' class='inactive'>$next</a></li>";
        if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) 
            echo "<li><a rel='nofollow' class='inactive' href='".get_pagenum_link($pages)."'>$last</a></li>";
            echo "</ul></div>"; 
    }
}

/*-----------------------------------------------------------------------------------*/
/* Single Post Pagination
/*-----------------------------------------------------------------------------------*/
function czs_wp_link_pages_args_prevnext_add($args)
{
    global $page, $numpages, $more, $pagenow;
    if (!$args['next_or_number'] == 'next_and_number')
        return $args; 
    $args['next_or_number'] = 'number'; 
    if (!$more)
        return $args; 
    if($page-1) 
        $args['before'] .= _wp_link_page($page-1)
        . $args['link_before']. $args['previouspagelink'] . $args['link_after'] . '</a>'
    ;
    if ($page<$numpages) 
    
        $args['after'] = _wp_link_page($page+1)
        . $args['link_before'] . $args['nextpagelink'] . $args['link_after'] . '</a>'
        . $args['after']
    ;
    return $args;
}
add_filter('wp_link_pages_args', 'czs_wp_link_pages_args_prevnext_add');

/*-----------------------------------------------------------------------------------*/
/* add <!-- next-page --> button to tinymce
/*-----------------------------------------------------------------------------------*/
add_filter('mce_buttons','czs_wysiwyg_editor');
function czs_wysiwyg_editor($mce_buttons) {
   $pos = array_search('wp_more',$mce_buttons,true);
   if ($pos !== false) {
       $tmp_buttons = array_slice($mce_buttons, 0, $pos+1);
       $tmp_buttons[] = 'wp_page';
       $mce_buttons = array_merge($tmp_buttons, array_slice($mce_buttons, $pos+1));
   }
   return $mce_buttons;
}

?>